/*
** ===================================================================
** Název souboru   : Mbile_unit.h
** Mikrokontroler  : ATmega16,...
** Popis           : Hlavickovy soubor programu pro ovladani Mobilni jednotky
**                 :  
** Autor           : Jan Kristel (kristel_ml@volny,cz)
**                 : xx.04.2014
** ===================================================================
*/


#ifndef MOBILE_UNIT_H_
#define MOBILE_UNIT_H_

void AFE_WriteCommand(uint8_t command);
void AFE_WriteByte(uint8_t byte);
void AFE_WriteRegister(uint8_t address, uint8_t data);
unsigned char USART_receive(void);
unsigned char USART_receive_char(void);
void USART_send( unsigned char data);
void USART_putstring(volatile char* StringPtr);
void TX_send();
void RX_Data();
void sleep_now();

void init();

#endif /* MOBILE_UNIT_H_ */